
# more unification with curl version (7.19.7 shipped with el6)
%define curl_version 7.19.7

%{?el5:%define _with_curl_static 1}


Name:		rtorrent
# OpenSSL exception, see README
License:	GPLv2+ with exceptions
Group:		Applications/Internet
Version:	0.9.2
Release:	1%{?dist}
Summary:	BitTorrent client based on libtorrent
URL:		http://libtorrent.rakshasa.no/

Source0:	http://libtorrent.rakshasa.no/downloads/%{name}-%{version}.tar.gz
Source3:	http://curl.haxx.se/download/curl-%{curl_version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%{!?_with_curl_static:BuildRequires:	curl-devel}

BuildRequires:	libstdc++-devel
BuildRequires:	libsigc++20-devel
BuildRequires:	libtorrent-devel >= 0.13.2
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	libxml2-devel
BuildRequires:	xmlrpc-c-devel >= 1.22
%{?el6:BuildRequires: cppunit cppunit-devel}

Requires:	libsigc++20
Requires:	libtorrent >= 0.13.2
Requires:	xmlrpc-c >= 1.22
Requires:	xmlrpc-c-apps >= 1.22

%if %{?_with_curl_static:1}0
BuildRequires:	openssl-devel
BuildRequires:	libtool
BuildRequires:	libidn-devel
%endif


%description
A BitTorrent client using libtorrent, which on high-bandwidth connections is 
able to seed at 3 times the speed of the official client. Using
ncurses its ideal for use with screen or dtach. It supports 
saving of sessions and allows the user to add and remove torrents and scanning
of directories for torrent files to seed and/or download.


%prep
%setup
%{?_with_curl_static:%setup -T -D -a 3}


%build
%if %{?_with_curl_static:1}0
# Build curl
pushd curl-%{curl_version}
RESULT_DIR="$(pwd)/result"

./configure \
    --prefix="$RESULT_DIR" \
    --exec-prefix="$RESULT_DIR" \
    --disable-manual \
    --disable-shared \
    --enable-ipv6 \
    --enable-static \
    --without-libssh2 \
    --without-ssl \
    --with-gssapi="%{_prefix}/kerberos" \
    --with-libidn

%{__make} %{?_smp_mflags} CFLAGS="%{optflags}" install
popd

# Append pkgconfig info
PKG_CONFIG_PATH="$RESULT_DIR/lib/pkgconfig:$PKG_CONFIG_PATH" ; export PKG_CONFIG_PATH
%endif

# avoid gcc-4.1 bug
%ifarch i386
    %{?el5:export CFLAGS="$CFLAGS -pthread -march=i486"}
    %{?el5:export CXXFLAGS="$CXXFLAGS -pthread -march=i486"}
%endif

%configure --with-xmlrpc-c
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# manually install the man page to correct location for this release
install -p -m 0644 -D ./doc/rtorrent.1 $RPM_BUILD_ROOT/%{_mandir}/man1/rtorrent.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL README doc/faq.xml doc/rtorrent.rc
%{_bindir}/rtorrent
%{_mandir}/man1/rtorrent*

%changelog
* Mon May 07 2012 Denis Fateyev <denis@fateyev.com> - 0.9.2-1.denf
- update to 0.9.2 version
- remove obsolete patches

* Sun Jul 24 2011 Denis Fateyev <denis@fateyev.com> - 0.8.9-1.denf
- update to rtorrent 0.8.9 version
- update 'ipfilter' patch and ipfilter.dat

* Sun Mar 20 2011 Denis Fateyev <denis@fateyev.com> - 0.8.6-5.denf
- rebuild against curl 7.19.7 (rhel6 branch)
- update rtorrent.rc example file
- update 'ipfilter' patch and ipfilter.dat

* Thu Dec 10 2009 Denis Fateyev <denis@fateyev.com> - 0.8.6-4.el5
- update to rtorrent 0.8.6 version
- added 'ipfilter' functionality

* Sat Aug 22 2009 Denis Fateyev <denis@fateyev.com> - 0.8.4-3.el5
- added compatibility with patched xmlrpc-c (1.14.8 and above)

* Thu Mar  5 2009 Ilyas R. Khasyanov <umask00@gmail.com> - 0.8.4-umask.3
- rebuild against curl 7.19.4

* Tue Jan 13 2009 Ilyas R. Khasyanov <umask00@gmail.com> - 0.8.4-umask.2
- fix for curl errors reproduced in rtorrent (build with new custom curl statically)

* Mon Jan 12 2009 Ilyas R. Khasyanov <umask00@gmail.com> - 0.8.4-umask.1
- Initial build for umask repo

* Tue Dec 2 2008 Conrad Meyer <konrad@tylerc.org> - 0.8.4-2
- Add --with-xmlrpc-c to configure.

* Wed Nov 26 2008 Conrad Meyer <konrad@tylerc.org> - 0.8.4-1
- Bump to 0.8.4.

* Tue Nov 18 2008 Conrad Meyer <konrad@tylerc.org> - 0.8.3-1
- Bump version.

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.8-4
- fix license tag

* Sat Apr  5 2008 Christopher Aillon <caillon@redhat.com> - 0.7.8-3
- Fix build against newer sigc++
- Fix build against GCC 4.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.8-2
- Autorebuild for GCC 4.3

* Tue Sep 18 2007 Marek Mahut <mmahut fedoraproject.org> - 0.7.8-1
- New upstream release

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.7.4-3
- Rebuild for selinux ppc32 issue.

* Thu Jun 28 2007 Chris Chabot <chabotc@xs4all.nl> - 0.7.4-2
- Fixed BR

* Thu Jun 28 2007 Chris Chabot <chabotc@xs4all.nl> - 0.7.4-1
- New upstream release

* Sun Nov 26 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.4-1
- New upstream version
- Compile with -Os to work around a gcc 4.1 incompatibility

* Mon Nov 06 2006 Jindrich Novy <jnovy@redhat.com> - 0.6.2-5
- rebuild against new curl

* Fri Sep 29 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-4
- re-tag

* Fri Sep 29 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-3
- re-tag

* Fri Sep 29 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.2-2
- New upstream version

* Mon Sep 11 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.0-2
- FC6 rebuild

* Sun Aug 13 2006 Chris Chabot <chabotc@xs4all.nl> - 0.6.0-1
- Upgrade to 0.6.0

* Sat Jun 17 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.5.3-1
- Upgrade to new upstream version 0.5.3
- And changed libtorrent dependency to >= 0.9.3

* Sat Jan 14 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.4.2-3
- Added ncurses-devel to buildrequirements

* Sat Jan 14 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.4.2-2
- Improved summary & description
- Removed explicit requires, leaving to rpm
- Changed mode of rtorrent.rc.example to 644

* Wed Jan 11 2006 - Chris Chabot <chabotc@xs4all.nl> - 0.4.2-1
- Initial version
